package com.thinkgem.jeesite.common.baseBean;

/**
 * 接口请求通用对象
 */
public class Request implements java.io.Serializable {

    private String subMerchantCode;// 登录商户Code
    private String sign;// 签名字符串 (md5(subMerchantCode + 加密串 + timestamp))
    private long timestamp;// 时间戳
    private int pageNum = 1;// 页码
    private int pageSize = 15;// 页数

    public Request() {
    }

    public Request(String subMerchantCode) {
        this.subMerchantCode = subMerchantCode;
    }

    public String getSubMerchantCode() {
        return subMerchantCode;
    }

    public void setSubMerchantCode(String subMerchantCode) {
        this.subMerchantCode = subMerchantCode;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
